{% extends 'base.html' %}
{% load static %}
{% load bootstrap4 %}

{% block content %}
<div class="row">
    <div class="col-6">
        <div class="jumbotron p-4 p-md-5 text-white rounded bg-dark">
            <div class="col-md-6 px-0">
                <h4 class="display-5 font-italic">Приложение поможет вам:</h4>
                <p class="lead">Вести учет доходов и расходов</p>
                <p class="lead">Анализировать свои доходы и планировать траты</p>
            </div>
        </div>
    </div>
    <div class="col-6">
        <div class="jumbotron p-4 p-md-5 text-white rounded bg-white-50" style="min-height: 343px;">
            {% if not user.is_authenticated %}
            <form method="post" action="{% url 'users:login' %}">
                {% csrf_token %}
                {% bootstrap_form login_form show_label=True size='small' layout='horizontal' label_class='col-sm-3 col-form-label text-dark' %}

                <small class="form-text text-muted mt-3">Социальные сети | <a
                        href="{% url 'users:password_reset' %}">Забыли пароль?</a></small>
                <div class="row mt-1">
                    <div class="col-1">
                        <a href="{% url 'social:begin' 'vk-oauth2' %}"><img src="{% static 'users/img/vk.png' %}"
                                                                            width="30px" height="30px"></a>
                    </div>
                    <div class="col-1">
                        <a href="{% url 'social:begin' 'google-oauth2' %}"><img
                                src="{% static 'users/img/google.png' %}" width="30px" height="30px"></a>
                    </div>
                    <div class="col-1">
                        <a href="{% url 'social:begin' 'github' %}"><img src="{% static 'users/img/github.png' %}"
                                                                         width="30px" height="30px"></a>
                    </div>
                </div>

                {% bootstrap_button 'Войти' button_class='btn btn-sm btn-outline-secondary mt-4' button_type='submit' size='small' %}
            </form>
            {% else %}
            <p class="text-dark">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Architecto ea expedita hic iste maxime perferendis quas! Exercitationem nam odio quam repudiandae rerum! Accusamus deserunt exercitationem, nulla perspiciatis recusandae ut voluptas.</p>
            {% endif %}
        </div>
    </div>
</div>

<div class="row mb-2">
    <div class="col-md-6">
        <div class="row no-gutters border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
            <div class="col p-4 d-flex flex-column position-static">
                <strong class="d-inline-block mb-2 text-secondary">Советы</strong>
                <h5 class="mb-0">Как вести личный бюджет</h5>
                <div class="mb-1 text-muted">Nov 12</div>
                <p class="card-text mb-auto">This is a wider card with supporting text below as a natural lead-in to
                    additional content.</p>
                <a href="#" class="stretched-link">Читать статью</a>
            </div>
            <div class="col-auto d-none d-lg-block">
                <img src="{% static 'purse/img/money_bag.jpg' %}" height="250" width="200" alt="">
            </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="row no-gutters border rounded overflow-hidden flex-md-row mb-4 shadow-sm h-md-250 position-relative">
            <div class="col p-4 d-flex flex-column position-static">
                <strong class="d-inline-block mb-2 text-secondary">Советы</strong>
                <h5 class="mb-0">Эффективные способы копить деньги</h5>
                <div class="mb-1 text-muted">Nov 11</div>
                <p class="mb-auto">This is a wider card with supporting text below as a natural lead-in to
                    additional
                    content.</p>
                <a href="#" class="stretched-link">Читать статью</a>
            </div>
            <div class="col-auto d-none d-lg-block">
                <img src="{% static 'purse/img/piggy_bank.jpg' %}" height="250" width="200" alt="">
            </div>
        </div>
    </div>
</div>

{% endblock %}
